Subject: Re: Finance Group - May

From: Humanists <[email-masked]>
Date: Tue, 23 May 2006 15:20:47 -0700

I probably won't be able to make the meeting. But I would like our humanist
community investments to be discussed. I am about to put about $15,000 in an
index fund. Candidates are Wilshire 5000, Russell 2000, S & P 500, Vanguard
Total Market Index, and any others suggested. We have 110K in ten mutual funds
now.

BF

Quoting Bob Dodd <[email-masked]>:

>
> This is a reminder of our new meeting time of the 4th Tuesday.
>
> I hope you all can make it.
>
> Next Meeting: Tuesday May 23
>
> Time:  7:30
>
>
> Place: Bob's Place
>
>        2505 Webster St.
>
>        Palo Alto
>
>
>
> Subject: Finance Meeting
>
>
>
> We decided to change the meeting time to the first Tuesday.
>
>
>
> This is what we decided to talk about for this meeting.
> 1.    Carl will talk on Investing for Retirement
>
> 2.    Bob will talk about the proposed change in his   portfolio
>
> 3.    We are hoping that Dave or George will have a surprise   topic.
>
>
>
> Looking forward to seeing you. Let me know which date works best for you.
>
>
>
> Looking forward to seeing you.
>
> CHEERS!!!!!
> Bob D
>
>
>
>
>
>
>
>
>
>
>